
uniform sampler2DRect tex;
uniform float gamma;

#define Rec709GammaEncode(x)		mix(1.099 * pow(x, vec3(0.45)) - 0.099,  4.5 * x,  vec3(lessThan(x, vec3(0.018))))


void main()
{
	vec4 color0 = texture2DRect(tex, gl_TexCoord[0].st);
	gl_FragColor = vec4(Rec709GammaEncode(pow(color0.rgb, vec3(gamma))), 1.0);
}

